Subject: bug#50985: Merging gnulib for Emacs 28.1?

From: Robert Pluim <[email-masked]>
Date: Tue, 05 Oct 2021 16:11:56 +0200

>>>>> On Tue, 5 Oct 2021 10:09:47 -0400, Ken Brown <[email-masked]> said:

    Ken> On 10/5/2021 9:44 AM, Robert Pluim wrote:
    >> Hereʼs what I did to get it to build --with-native-compilation. Not
    >> pushing, since no doubt my method and commit message are all wrong :-)

    Ken> FWIW, I came up with essentially the same patch, using a much clumsier method.

    Ken> One trivial remark:

    >> @@ -79,6 +90,7 @@
    >> #  count-leading-zeros \
    >> #  count-one-bits \
    >> #  count-trailing-zeros \
    >> +#  crypto/md5 \
    >> #  crypto/md5-buffer \
    >> #  crypto/sha1-buffer \
    >> #  crypto/sha256-buffer \

    Ken> You can omit crypto/md5-buffer, since it's pulled in by crypto/md5.

Probably. When it comes to gnulib I prefer to leave it to people who
know what theyʼre doing :-)

Robert
--